Bug 107134 - dell i8100 switches off when running 2 batteries and 1 empty
dell i8100 switches off when running 2 batteries and 1 empty
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-15 06:17 EDT by Need Real Name
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-08 00:23:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-10-15 06:17:31 EDT
Description of problem:
When running a dell i8100 laptop under acpi (acpi=on) with 2 unequally loaded
batteries, say one battery close to 100% full and one close to 30% full,
the machine switches off (crashes?) when the one battery is depleted.

ACPI seems to be registering most events and also reporting
some events correctly judging from entries in /proc/acpi
Also /proc/acpi/battery has entries for BAT0 and BAT1 and
/proc/acpi/battery/BATx/state and /proc/acpi/battery/BATx/info, x=0,1,
seem to be reporting events correctly. However the battery charge monitor
only shows 1 battery with (as far as I can judge) something like the
mean value of both battery charges.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2088.nptl
gnome-applets-2.4.1-1

How reproducible:
Probably always. Happened one time accidently
Tested it a second time.

Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:
The machine switches to using the non-depleted battery when one of two
batteries is depleted and does not switch of.

Under acpi (and also under apm) the battery charge monitor should present
two icons on the panel: one for each battery!

Additional info:
Did not try it with apm because under apm the battery charge monitor
seems to report the total battery charge less correctly than under acpi.
It also seems to report the mean value but this seems to be off by a much
larger marging than acpi at lower battery charges.
Comment 1 Dave Jones 2004-12-08 00:23:53 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.